[Sparc] Use the leon arch for Leon3's when using an external assembler
ClosedPublic

Authored by dcederman on May 21 2018, 7:08 AM.

Diff Detail

Repository
rC Clang
dcederman created this revision.May 21 2018, 7:08 AM

There are more leon-based v8 CPUs listed in clang/lib/Basic/Targets/Sparc.cpp, which need to be listed here, also.

Separately, I think it'd be a good idea to refactor to put this info into the SparcCPUInfo struct, so that it's harder for them to get out of sync.

dcederman updated this revision to Diff 147965.May 22 2018, 2:15 AM

Also use the leon arch for the Myriad processors.

Separately, I think it'd be a good idea to refactor to put this info into the SparcCPUInfo struct, so that it's harder for them to get out of sync.

I did not find a good way to access the SparcCPUInfo struct from here. No other arch under Toolchains seems to access TargetInfo.

jyknight accepted this revision.May 22 2018, 2:45 PM

I did not find a good way to access the SparcCPUInfo struct from here. No other arch under Toolchains seems to access TargetInfo.

OK.

This revision is now accepted and ready to land.May 22 2018, 2:45 PM
joerg added a subscriber: joerg.May 22 2018, 4:19 PM

This still needs a test case?

dcederman updated this revision to Diff 148170.May 23 2018, 1:21 AM

Added missing tests.

This revision was automatically updated to reflect the committed changes.